# Problema de la dieta

set A;
/* Alimentos */

set N;
/* Nutrientes */

param precio{i in A};
/* Precio por alimento */

param requisito {j in N};
/* Requisitos nutricionales diarios */

param contenido{i in A, j in N} ;
/* Contenido nutricional j por alimento i */

var x {i in A} >= 0;
/* Cantidades aseradquiridas */

minimize cost : sum{i in A} precio[i]*x[i];
/* Costo minimo */

s.t. demanda{j in N} : sum{i in A} x[i]*contenido[i,j] >= requisito[j];
/* Satisfaga los requisitos diarios para el nutriente i */

end;

